curl --request GET \
--url https://api.example.com/cabinet/admin/referral-network/ \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": 123,
"tg_id": 123,
"username": "<string>",
"email": "<string>",
"display_name": "<string>",
"is_partner": true,
"referrer_id": 123,
"campaign_id": 123,
"direct_referrals": 123,
"total_branch_users": 123,
"branch_revenue_kopeks": 123,
"personal_revenue_kopeks": 123,
"personal_spent_kopeks": 123,
"subscription_name": "<string>",
"subscription_end": "<string>",
"registered_at": "<string>"
}
],
"campaigns": [
{
"id": 123,
"name": "<string>",
"start_parameter": "<string>",
"is_active": true,
"direct_users": 123,
"total_network_users": 123,
"total_revenue_kopeks": 123,
"conversion_rate": 123,
"avg_check_kopeks": 123,
"top_referrers": [
{
"user_id": 123,
"username": "<string>",
"referral_count": 123
}
]
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"type": "<string>"
}
],
"total_users": 123,
"total_referrers": 123,
"total_campaigns": 123,
"total_earnings_kopeks": 123
}Return full referral network graph data for visualization.
curl --request GET \
--url https://api.example.com/cabinet/admin/referral-network/ \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": 123,
"tg_id": 123,
"username": "<string>",
"email": "<string>",
"display_name": "<string>",
"is_partner": true,
"referrer_id": 123,
"campaign_id": 123,
"direct_referrals": 123,
"total_branch_users": 123,
"branch_revenue_kopeks": 123,
"personal_revenue_kopeks": 123,
"personal_spent_kopeks": 123,
"subscription_name": "<string>",
"subscription_end": "<string>",
"registered_at": "<string>"
}
],
"campaigns": [
{
"id": 123,
"name": "<string>",
"start_parameter": "<string>",
"is_active": true,
"direct_users": 123,
"total_network_users": 123,
"total_revenue_kopeks": 123,
"conversion_rate": 123,
"avg_check_kopeks": 123,
"top_referrers": [
{
"user_id": 123,
"username": "<string>",
"referral_count": 123
}
]
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"type": "<string>"
}
],
"total_users": 123,
"total_referrers": 123,
"total_campaigns": 123,
"total_earnings_kopeks": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Show child attributes
Show child attributes
Show child attributes